Subject: [manet] ZRP Simulation

From: "#ZHOU XIAOFENG#" <[email-masked]>
Date: Thu, 4 Mar 2004 16:01:21 +0800

Hi,Justin
I followed your advice and recompile the WHOLE of glomosim.
but the problem seems more serious:
after "Make", the error is: Failed linking '../bin/glomosim',namely,there is no Executable file "glomosim" in the directory "/bin"
and another error is about the zrp: cause I replace the zrp.pc and zrp.h in "/glomosim-2.03/glomosim/network",in the indication of "make failure" there is a sentence"implicit declaration of function 'NetworkIpSetMacLayerStatusEventHandlerFunction'.
So,the problem is I can't use the executable file"glomosim" any more.
Could you help me with this problem?
Thank you very much!

________________________________

From: Justin Lipman [mailto:[email-masked]]
Sent: 2004-3-4 (星期四) 13:17
To: #ZHOU XIAOFENG#
Subject: Re: [manet] ZRP simulation

Hi Zhou,

No, your operation is incorrect.

You need to copy the ZRP files to the correct locations as explained in the
documentation. Then you need to "recompile" the WHOLE of glomosim.

go to glomosim/main

there should be a "Makefile" there...

type "make"

and it should recompile glomosim.

You can not just compile ZRP using pcc.

I suggest you read the documentation on Glomosim to see how it works.
There is a guide for it at the following location. Look at page 5.

http://www.ida.liu.se/~TGTU09/mobnetwork/lab_mobile/Glomosim_Short_Manual.pdf

Hope this helps,
Justin

On Thu, 4 Mar 2004 04:02 pm, you wrote:
> Hi,thank you for your advice.
> Maybe the error exists my operation.
> I want compile the zrp.pc, using the command "pcc -c zrp.pc",is it right?
>
> Maybe the version of gcc has no relation with the errors.
> there is an interesting phenomena: when I set PATH in .cshrc, adding the
> /home/glomosim-2.03/glomosim/include and /main, the compiling result is
> same; while if I change the source code of ZRP, such as add the path of
> each include head file, the errors reduced. I don't know what's the reason,
> could you explain it to me?
> Thank you very much.
>
> ________________________________
>
> From: Justin Lipman [mailto:[email-masked]]
> Sent: 2004-3-4 (星期四) 11:42
> To: #ZHOU XIAOFENG#; [email-masked]
> Subject: Re: [manet] ZRP simulation
>
>
>
> Hi Zhou,
>
> Sounds like you have a problem with the version of gcc that is being used.
> I havent tried compiling ZRP in GlomoSim, but your description of the
> errors sounds familiar to the problem I had when using the incorrect
> version of gcc.
>
> at your unix prompt type gcc -v
> if you have any other version of gcc other than gcc-2.95 then you will have
> this problem.
>
> You might also want to limit these types of questions to the GlomoSim
> mailing lists... if they still exist...
>
> hope this helps,
> Justin
>
> On Thu, 4 Mar 2004 01:22 pm, #ZHOU XIAOFENG# wrote:
> > Hi,all
> > I have download the source code of ZRP in Glomosim from
> > http://wnl.ece.cornell.edu/wnlprojects.html and I untar the compressed
> > package release the zrp.h and zrp.pc
> > then copy these two files into the /glomosim-2.03/glomosim/network to
> > overwrite the existed files with same name. then delete the files zrp.o
> > and zrp.pi the next step is compile zrp.pc to produce .pi and .o files,
> > but when I compile the zrp.pc, there are some errors: such as all of the
> > include files in the source code of zrp.pc.
> >
> > Could anybody tell me the reason? and how to tackle it.
> > or could you tell me how to perform the simulation of zrp
> > Thank you very much!
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
>
> --
> Research Associate
> Smart Internet Technology Cooperative Research Centre
> http://www.titr.uow.edu.au/~justin

--
Research Associate
Smart Internet Technology Cooperative Research Centre
http://www.titr.uow.edu.au/~justin

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet